Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui
Class GroovySocketServer

    java.lang.Object
      groovy.ui.GroovySocketServer

All Implemented Interfaces:
  Runnable

    public class GroovySocketServer

extends Object
implements Runnable

Simple server that executes supplied script against a socket

Version:
  $Id: GroovySocketServer.java 7252 2007-08-15 22:17:24Z user57 $
Author:
  Jeremy Rayner

Constructor Summary
`GroovySocketServer(GroovyShell groovy, boolean isScriptFile, String scriptFilenameOrText, boolean autoOutput, int port)`

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovySocketServer

    public GroovySocketServer(GroovyShell groovy,
                              boolean isScriptFile,
                              String scriptFilenameOrText,
                              boolean autoOutput,
                              int port)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD